// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODCAUTACCS_H
#define FOMUS_MODCAUTACCS_H

#include "module.h"
#include "modnotes.h"
#include "modmod.h"

#ifdef __cplusplus
extern "C" {
#endif

  //void accs_assign(module_noteobj note, fomus_int acc, fomus_int micacc);
  LIBFOMUS_EXPORT void cautaccs_assign(module_noteobj note); // assign a cautionary accidental
  //void cautaccs_skip(module_noteobj note);
  
#ifdef __cplusplus
}
#endif

#endif
