// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODMERGE_H
#define FOMUS_MODMERGE_H

#include "module.h"
#include "modnotes.h"
#include "modmod.h"

#ifdef __cplusplus
extern "C" {
#endif

/*   enum merge_mark { */
/*     merge_none, */
/*     merge_together, // "a due" (mark2 can be a 3 if it gets that complicated!)--single stem, multiple parts */
/*     merge_solo, // 1st, 2nd or I, II, III etc..--single stem, solo indication */
/*   }; */
  
  // change the note's voice and replace it in its current voice with an invisible rest, optionally adding a text mark
  // together = note is actually eliminated and tovoice part is marked with "a2" marking
  LIBFOMUS_EXPORT void merge_assign_merge(module_noteobj note, module_noteobj tonote);
  // makes the note invisible and adds a I or II
/*   void merge_assign_remove(module_noteobj note, int tovoice); */
  
#ifdef __cplusplus
}
#endif

#endif
