// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// -*- c++ -*-
#ifndef FOMUS_MODPRUNE_H
#define FOMUS_MODPRUNE_H

#include "module.h"
#include "modnotes.h"
#include "modmod.h"

#ifdef __cplusplus
extern "C" {
#endif

  // time1 & time2 are gracetimes if note is a grace note
  LIBFOMUS_EXPORT void prune_assign(module_noteobj note, struct fomus_rat time1, struct fomus_rat time2);
  LIBFOMUS_EXPORT void prune_assign_done(module_noteobj note);
  
#ifdef __cplusplus
}
#endif

#endif
