// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODINIT_H
#define FOMUS_MODINIT_H

#include "modtypes.h"

// most modules should include this so that it can hook up with an engine

#ifdef __cplusplus
extern "C" {
#endif

#ifndef FOMUSMOD_HIDE
  
  // new/free data object
  FOMUSMOD_EXPORT void* module_newdata(FOMUS f); // can return 0 (FOMUS won't call freedata then)
  FOMUSMOD_EXPORT void module_freedata(void* data);

#endif
  
#ifdef __cplusplus
}
#endif

#endif
