// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODMARKEVS_H
#define FOMUS_MODMARKEVS_H

// #include "module.h"
// #include "modnotes.h"
// #include "modmod.h"

#include "modmarks.h"

#ifdef __cplusplus
extern "C" {
#endif

/*   enum marks_which { */
/*     marks_begin, marks_end, marks_sing */
/*   }; */

/*   void marks_assign_add(module_noteobj note, int type, const char* arg1, struct module_value arg2); */
/*   void marks_assign_remove(module_noteobj note, int type, const char* arg1, struct module_value arg2); // fomus also matches the arguments */
/*   void marks_assign_done(module_noteobj note); */

  typedef void* markevs_markobj;

  struct markevs_markevlist {
    fomus_int n;
    const markevs_markobj* markevs;
  };

  LIBFOMUS_EXPORT struct markevs_markevlist markevs_getmarkevlist(module_partobj part);
  
#ifdef __cplusplus
}
#endif

#endif
