// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODMEAS_H
#define FOMUS_MODMEAS_H

#include "module.h"
#include "modnotes.h"
#include "modmod.h"

#ifdef __cplusplus
extern "C" {
#endif

  //module_measobj meas_defaultmeas();
  // rmable = removeable  (for measures at end of score--there's a tiny chance an extra one might be created because notes aren't quantized yet)
  LIBFOMUS_EXPORT void meas_assign(module_measobj measbase, struct fomus_rat time, struct fomus_rat dur, int rmable /*= 0*/);
  
#ifdef __cplusplus
}
#endif

#endif
