// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODPARTS_H
#define FOMUS_MODPARTS_H

#include "module.h"
#include "modnotes.h"
#include "modmod.h"

#ifdef __cplusplus
extern "C" {
#endif

  // assignments can be any order since not dealing w/ notes

  //void accs_assign(module_noteobj note, fomus_int acc, fomus_int micacc);
  LIBFOMUS_EXPORT void parts_assigngroup(module_partobj begin, module_partobj end, enum parts_grouptype type);
  LIBFOMUS_EXPORT void parts_assignorder(module_partobj part, int ord);

  LIBFOMUS_EXPORT module_instobj parts_inst(module_obj obj);
  // not an assign function
  //int parts_groupsingle(module_partobj part); 
  
#ifdef __cplusplus
}
#endif

#endif
