// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODPNOTES_H
#define FOMUS_MODPNOTES_H

#include "module.h"
#include "modnotes.h"
#include "modmod.h"

#ifdef __cplusplus
extern "C" {
#endif

  typedef void* percnotes_percinstobj;
  
  LIBFOMUS_EXPORT percnotes_percinstobj percnotes_percinst(module_noteobj note); // does a look-up, return NULL if no perc inst
  LIBFOMUS_EXPORT const char* percnotes_percinststr(module_noteobj note);
  
  LIBFOMUS_EXPORT void percnotes_assign(module_noteobj note, int voice, struct fomus_rat pitch);
  
#ifdef __cplusplus
}
#endif

#endif
