// -*- c++ -*-

/*
    Copyright (C) 2009  David Psenicka
    This file is part of FOMUS.

    FOMUS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FOMUS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOMUS_MODULE_H
#define FOMUS_MODULE_H

// --------------------------------------------------------------------------------
// C API for FOMUS modules

// Modules should include this and the API header file for whatever category it
// falls into (note spelling, voice distributing, etc.)

// FOMUS uses the FOMUS_MODULE_PATH environment variable to find all available
// modules
// --------------------------------------------------------------------------------

#include "basetypes.h"
#include "modtypes.h"
#include "modcbacks.h"
#include "modapi.h"

#endif
